// This file was generated by SquareLine Studio
// SquareLine Studio version: SquareLine Studio 1.4.0
// LVGL version: 8.3.6
// Project name: Cardv

#include "../ui.h"

void ui_MainScreen_screen_init(void)
{
    ui_MainScreen = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_MainScreen, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_MainScreen, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreen, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CapLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_CapLabel, 36);
    lv_obj_set_height(ui_CapLabel, 32);
    lv_obj_set_x(ui_CapLabel, -255);
    lv_obj_set_y(ui_CapLabel, -210);
    lv_obj_set_align(ui_CapLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_CapLabel, "");
    lv_obj_set_style_bg_img_src(ui_CapLabel, &ui_img_cap_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_WifiLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_WifiLabel, 36);
    lv_obj_set_height(ui_WifiLabel, 32);
    lv_obj_set_x(ui_WifiLabel, 236);
    lv_obj_set_y(ui_WifiLabel, -210);
    lv_obj_set_align(ui_WifiLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_WifiLabel, "");
    lv_obj_set_style_bg_img_src(ui_WifiLabel, &ui_img_wifi_wifi_signal_5_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_AudioLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_AudioLabel, 26);
    lv_obj_set_height(ui_AudioLabel, 32);
    lv_obj_set_x(ui_AudioLabel, 286);
    lv_obj_set_y(ui_AudioLabel, -210);
    lv_obj_set_align(ui_AudioLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_AudioLabel, "");
    lv_obj_set_style_text_color(ui_AudioLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_AudioLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_AudioLabel, &ui_img_icon_mute_000_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SDCaedLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_SDCaedLabel, 26);
    lv_obj_set_height(ui_SDCaedLabel, 32);
    lv_obj_set_x(ui_SDCaedLabel, 335);
    lv_obj_set_y(ui_SDCaedLabel, -210);
    lv_obj_set_align(ui_SDCaedLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SDCaedLabel, "\n");
    lv_obj_set_style_text_color(ui_SDCaedLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_SDCaedLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_SDCaedLabel, &ui_img_icon_sd_yes_000_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_BatteryLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_BatteryLabel, 35);
    lv_obj_set_height(ui_BatteryLabel, 21);
    lv_obj_set_x(ui_BatteryLabel, 388);
    lv_obj_set_y(ui_BatteryLabel, -210);
    lv_obj_set_align(ui_BatteryLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_BatteryLabel, "");
    lv_obj_set_style_bg_img_src(ui_BatteryLabel, &ui_img_icon_battery_000_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_RecPointLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_RecPointLabel, 18);
    lv_obj_set_height(ui_RecPointLabel, 18);
    lv_obj_set_x(ui_RecPointLabel, -386);
    lv_obj_set_y(ui_RecPointLabel, -210);
    lv_obj_set_align(ui_RecPointLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_RecPointLabel, "");
    lv_obj_set_style_bg_img_src(ui_RecPointLabel, &ui_img_video_icon_rec_dot_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_RecTxtLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_RecTxtLabel, 53);
    lv_obj_set_height(ui_RecTxtLabel, 22);
    lv_obj_set_x(ui_RecTxtLabel, -326);
    lv_obj_set_y(ui_RecTxtLabel, -210);
    lv_obj_set_align(ui_RecTxtLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_RecTxtLabel, "");
    lv_obj_set_style_bg_img_src(ui_RecTxtLabel, &ui_img_video_icon_rec_txt_png, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_TimeLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_TimeLabel, 120);
    lv_obj_set_height(ui_TimeLabel, 24);
    lv_obj_set_x(ui_TimeLabel, lv_pct(17));
    lv_obj_set_y(ui_TimeLabel, lv_pct(-44));
    lv_obj_set_align(ui_TimeLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_TimeLabel, "12:25:01");
    lv_obj_set_style_text_color(ui_TimeLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_TimeLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_align(ui_TimeLabel, LV_TEXT_ALIGN_LEFT, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_TimeLabel, &lv_font_montserrat_20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_WeekLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_WeekLabel, 120);
    lv_obj_set_height(ui_WeekLabel, 24);
    lv_obj_set_x(ui_WeekLabel, lv_pct(-17));
    lv_obj_set_y(ui_WeekLabel, lv_pct(-44));
    lv_obj_set_align(ui_WeekLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_WeekLabel, "Wednesday");
    lv_obj_set_style_text_color(ui_WeekLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_WeekLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_align(ui_WeekLabel, LV_TEXT_ALIGN_RIGHT, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_WeekLabel, &lv_font_montserrat_20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_DataTimeLabel = lv_label_create(ui_MainScreen);
    lv_obj_set_width(ui_DataTimeLabel, 140);
    lv_obj_set_height(ui_DataTimeLabel, 26);
    lv_obj_set_x(ui_DataTimeLabel, lv_pct(0));
    lv_obj_set_y(ui_DataTimeLabel, lv_pct(-44));
    lv_obj_set_align(ui_DataTimeLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_DataTimeLabel, "2023/11/23");
    lv_obj_set_style_text_color(ui_DataTimeLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_DataTimeLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_align(ui_DataTimeLabel, LV_TEXT_ALIGN_CENTER, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_DataTimeLabel, &lv_font_montserrat_24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_HomeButtonPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_HomeButtonPanel, 450);
    lv_obj_set_height(ui_HomeButtonPanel, 80);
    lv_obj_set_x(ui_HomeButtonPanel, lv_pct(0));
    lv_obj_set_y(ui_HomeButtonPanel, lv_pct(40));
    lv_obj_set_align(ui_HomeButtonPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_HomeButtonPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_HomeButtonPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_HomeButtonPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_HomeButtonPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_HomeButtonPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CaptureButton = lv_btn_create(ui_HomeButtonPanel);
    lv_obj_set_width(ui_CaptureButton, 75);
    lv_obj_set_height(ui_CaptureButton, 75);
    lv_obj_set_y(ui_CaptureButton, 0);
    lv_obj_set_x(ui_CaptureButton, lv_pct(-45));
    lv_obj_set_align(ui_CaptureButton, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_CaptureButton, LV_OBJ_FLAG_SCROLLABLE | LV_OBJ_FLAG_SCROLL_ELASTIC | LV_OBJ_FLAG_SCROLL_MOMENTUM |
                      LV_OBJ_FLAG_SCROLL_CHAIN);     /// Flags
    lv_obj_set_style_bg_color(ui_CaptureButton, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_CaptureButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_CaptureButton, &ui_img_photo_75x75_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_width(ui_CaptureButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_spread(ui_CaptureButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_RecordButton = lv_btn_create(ui_HomeButtonPanel);
    lv_obj_set_width(ui_RecordButton, 75);
    lv_obj_set_height(ui_RecordButton, 75);
    lv_obj_set_y(ui_RecordButton, 0);
    lv_obj_set_x(ui_RecordButton, lv_pct(-15));
    lv_obj_set_align(ui_RecordButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_RecordButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_RecordButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_RecordButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_RecordButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_RecordButton, &ui_img_video_res_75x75_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_width(ui_RecordButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_spread(ui_RecordButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_PlaybackButton = lv_btn_create(ui_HomeButtonPanel);
    lv_obj_set_width(ui_PlaybackButton, 75);
    lv_obj_set_height(ui_PlaybackButton, 75);
    lv_obj_set_x(ui_PlaybackButton, lv_pct(15));
    lv_obj_set_y(ui_PlaybackButton, lv_pct(0));
    lv_obj_set_align(ui_PlaybackButton, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_PlaybackButton,
                      LV_OBJ_FLAG_SCROLLABLE | LV_OBJ_FLAG_SCROLL_ELASTIC | LV_OBJ_FLAG_SCROLL_MOMENTUM |
                      LV_OBJ_FLAG_SCROLL_CHAIN);     /// Flags
    lv_obj_set_style_radius(ui_PlaybackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_PlaybackButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_PlaybackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_PlaybackButton, &ui_img_video_playback_75x75_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_PlaybackButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_PlaybackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_width(ui_PlaybackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_spread(ui_PlaybackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SettingsButton = lv_btn_create(ui_HomeButtonPanel);
    lv_obj_set_width(ui_SettingsButton, 75);
    lv_obj_set_height(ui_SettingsButton, 75);
    lv_obj_set_y(ui_SettingsButton, 0);
    lv_obj_set_x(ui_SettingsButton, lv_pct(45));
    lv_obj_set_align(ui_SettingsButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_SettingsButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_SettingsButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_SettingsButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_SettingsButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SettingsButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_SettingsButton, &ui_img_general_set_75x75_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_width(ui_SettingsButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_spread(ui_SettingsButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirm = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_FormatConfirm, 500);
    lv_obj_set_height(ui_FormatConfirm, 240);
    lv_obj_set_x(ui_FormatConfirm, -1);
    lv_obj_set_y(ui_FormatConfirm, 0);
    lv_obj_set_align(ui_FormatConfirm, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_FormatConfirm, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_FormatConfirm, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_FormatConfirm, lv_color_hex(0x29292A), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_FormatConfirm, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_FormatConfirm, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_FormatConfirm, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatTitleView = lv_label_create(ui_FormatConfirm);
    lv_obj_set_width(ui_FormatTitleView, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_FormatTitleView, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_FormatTitleView, -4);
    lv_obj_set_y(ui_FormatTitleView, -90);
    lv_obj_set_align(ui_FormatTitleView, LV_ALIGN_CENTER);
    lv_label_set_text(ui_FormatTitleView, "NOTE");
    lv_obj_set_style_text_color(ui_FormatTitleView, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_FormatTitleView, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_FormatTitleView, &ui_font_English24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatViewBar = lv_label_create(ui_FormatConfirm);
    lv_obj_set_width(ui_FormatViewBar, 400);
    lv_obj_set_height(ui_FormatViewBar, 4);
    lv_obj_set_x(ui_FormatViewBar, 0);
    lv_obj_set_y(ui_FormatViewBar, -65);
    lv_obj_set_align(ui_FormatViewBar, LV_ALIGN_CENTER);
    lv_label_set_text(ui_FormatViewBar, "");
    lv_obj_set_style_bg_color(ui_FormatViewBar, lv_color_hex(0x0C6EE8), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_FormatViewBar, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirmText1 = lv_label_create(ui_FormatConfirm);
    lv_obj_set_width(ui_FormatConfirmText1, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_FormatConfirmText1, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_FormatConfirmText1, 0);
    lv_obj_set_y(ui_FormatConfirmText1, -10);
    lv_obj_set_align(ui_FormatConfirmText1, LV_ALIGN_CENTER);
    lv_label_set_text(ui_FormatConfirmText1, "Reset Default Settings");
    lv_obj_set_style_text_color(ui_FormatConfirmText1, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_FormatConfirmText1, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_FormatConfirmText1, &ui_font_English20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirmText2 = lv_label_create(ui_FormatConfirm);
    lv_obj_set_width(ui_FormatConfirmText2, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_FormatConfirmText2, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_FormatConfirmText2, 0);
    lv_obj_set_y(ui_FormatConfirmText2, 22);
    lv_obj_set_align(ui_FormatConfirmText2, LV_ALIGN_CENTER);
    lv_label_set_text(ui_FormatConfirmText2, "Reset Default Settings");
    lv_obj_add_flag(ui_FormatConfirmText2, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_set_style_text_color(ui_FormatConfirmText2, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_FormatConfirmText2, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_FormatConfirmText2, &ui_font_English20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirmNOButton = lv_btn_create(ui_FormatConfirm);
    lv_obj_set_width(ui_FormatConfirmNOButton, 90);
    lv_obj_set_height(ui_FormatConfirmNOButton, 38);
    lv_obj_set_x(ui_FormatConfirmNOButton, -150);
    lv_obj_set_y(ui_FormatConfirmNOButton, 80);
    lv_obj_set_align(ui_FormatConfirmNOButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_FormatConfirmNOButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_FormatConfirmNOButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_FormatConfirmNOButton, 6, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_FormatConfirmNOButton, lv_color_hex(0x1152C0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_FormatConfirmNOButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_FormatConfirmNOButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_FormatConfirmNOButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirmNOLabel = lv_label_create(ui_FormatConfirmNOButton);
    lv_obj_set_width(ui_FormatConfirmNOLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_FormatConfirmNOLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_FormatConfirmNOLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_FormatConfirmNOLabel, "NO");
    lv_obj_set_style_text_font(ui_FormatConfirmNOLabel, &lv_font_montserrat_20, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirmYesButton = lv_btn_create(ui_FormatConfirm);
    lv_obj_set_width(ui_FormatConfirmYesButton, 90);
    lv_obj_set_height(ui_FormatConfirmYesButton, 38);
    lv_obj_set_x(ui_FormatConfirmYesButton, 150);
    lv_obj_set_y(ui_FormatConfirmYesButton, 80);
    lv_obj_set_align(ui_FormatConfirmYesButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_FormatConfirmYesButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_FormatConfirmYesButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_FormatConfirmYesButton, 6, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_FormatConfirmYesButton, lv_color_hex(0x1152C0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_FormatConfirmYesButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_FormatConfirmYesButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_FormatConfirmYesButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FormatConfirmYesLabel = lv_label_create(ui_FormatConfirmYesButton);
    lv_obj_set_width(ui_FormatConfirmYesLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_FormatConfirmYesLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_FormatConfirmYesLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_FormatConfirmYesLabel, "YES");
    lv_obj_set_style_text_font(ui_FormatConfirmYesLabel, &lv_font_montserrat_20, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_add_event_cb(ui_CaptureButton, ui_event_CaptureButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_RecordButton, ui_event_RecordButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_PlaybackButton, ui_event_PlaybackButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_SettingsButton, ui_event_SettingsButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_FormatConfirmNOButton, ui_event_FormatConfirmNOButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_FormatConfirmYesButton, ui_event_FormatConfirmYesButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreen, ui_event_MainScreen, LV_EVENT_ALL, NULL);

}
